:root {
    --dark: #374151;
    --darker: #1F2937;
    --darkest: #111827;
    --gray: #6B7280;
    --light: #EEE;
    --pink: #EC4899;
    --purble: #8b5cf6;
}

* {
    box-sizing: border-box;
    margin: 0;
    font-family: 'Fira sans', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    background-color: var(--dark);
    color: #FFF;
}

header,
main {
    padding: 2rem 1rem;
    max-width: 800px;
    width: 100%;
    margin: 0 auto;
}

header h1,
.task-list h2 {
    font-size: 2.5rem;
    font-weight: 300;
    color: var(--gray);
    margin-bottom: 1rem;
}

#form {
    display: flex;

}

input,
button {
    appearance: none;
    border: none;
    outline: none;
    background: none;
}

#form input {
    flex: 1 1 0%;
    background-color: var(--darker);
    padding: 1rem;
    border-radius: 1rem;
    margin-right: 1rem;
    color: var(--light);
    font-size: 1.25rem;
}

#form input::placeholder {
    color: var(--gray);
}

#submit {
    color: var(--pink);
    font-size: 1.25rem;
    font-weight: 700;
    background-image: linear-gradient(to right, var(--pink), var(--purble));
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    cursor: pointer;
    transition: 0.4s;
}

#submit:hover {
    opacity: 0.8;
}

#submit:active {
    opacity: 0.6;
}

.task-list {
    padding: 1rem;

}

.task-list h2 {
    font-size: 1.5rem;
}

#tasks .task {
    display: flex;
    justify-content: space-between;
    background-color: var(--darkest);
    padding: 1rem;
    border-radius: 1rem;
    margin-bottom: 1rem;

}

#tasks .task .content {
    flex: 1 1 0%;
}

#tasks .task .content .text {
    color: var(--light);
    font-size: 1.125rem;
    width: 100%;
    display: block;
    transition: 0.4s;
}

#tasks .task .content .text:not(:read-only) {
    color: var(--pink);
}

#tasks .task .actions {
    display: flex;
    margin: 0 -0.5rem;
}

.task .actions button {
    cursor: pointer;
    margin: 0 0.rem;
    font-size: 1.125rem;
    text-transform: uppercase;
    transition: 0.4s;
}

.task .actions button:hover {
    opacity: 0.8;
}

.task .actions button:active {
    opacity: 0.6;
}

.task .actions .edit {
    background-image: linear-gradient(to right, var(--pink), var(--purble));
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.task .actions .delete {
    color: crimson;
}